<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package Siempel
 * @since Siempel 0.1
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->
<?php $options = get_option('siempel_theme_options'); ?>
<?php if ( $options['css'] != '' ) : ?>
<style><?php echo $options['css'];?></style>
<?php else: ?><!-- No Custom CSS --><?php endif; ?>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="page" class="site">
	<?php do_action( 'before' ); ?>
	<header id="masthead" class="clearfix site-header" role="banner">
		<nav role="navigation" class="site-navigation main-navigation">
			<div class="assistive-text skip-link"><a href="#content" title="Skip to content">Skip to content</a></div>
			<?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
			<h1 class="assistive-text"><i class="fa fa-bars"></i></h1>
		</nav><!-- .site-navigation .main-navigation -->
	</header><!-- #masthead .site-header -->
	<?php if ( is_home() ) : ?>
	<div class="about">
		<div class="grid w640 row">
			<div class="c8">
				<?php if ( $options['tentang'] != '' ) : ?>
				<p><?php echo $options['tentang'];?></p>
				<?php else : ?>
				<p>You can change this text on Themes Setting</p>
				<?php endif; ?>
				<?php if ( $options['namalengkap'] != '' ) : ?>
				<p>- <em><?php echo $options['namalengkap'];?></em> -</p>
				<?php endif; ?>
			</div>
			<div class="c4 end">
				<?php if ( $options['foto'] != '' ) : ?>
				<img src="<?php echo $options['foto'];?>" alt="<?php echo $options['namalengkap'];?>">
				<?php else: ?>
				<img src="<?php echo get_template_directory_uri(); ?>/img/no-avatar.png" alt="No Pictures">
				<?php endif; ?>
			</div>
			<?php if( $options['socialmedia'] ) : ?>
			<div class="c12 social">
				<!-- Facebook -->
				<?php if ( $options['facebook'] != '' ) : ?><a href="<?php  echo $options['facebook'];?>"><i class="fa fa-facebook"></i></a><?php else: ?><a href="<?php echo esc_url( 'http://www.facebook.com/' ); ?>"><i class="fa fa-facebook"></i></a><?php endif; ?>
				<!-- Twitter -->
				<?php if ( $options['twitter'] != '' ) : ?><a href="<?php  echo $options['twitter'];?>"><i class="fa fa-twitter"></i></a><?php else: ?><a href="<?php echo esc_url( 'http://twitter.com/' ); ?>"><i class="fa fa-twitter"></i></a><?php endif; ?>
				<!-- Email -->
				<?php if ( $options['email'] != '' ) : ?><a href="mailto:<?php  echo $options['email'];?>"><i class="fa fa-envelope"></i></a><?php else: ?><a href="<?php echo esc_url( 'mailto:youremail@example.com' ); ?>"><i class="fa fa-envelope"></i></a><?php endif; ?>
			</div>
			<?php endif; ?>
		</div>
	</div>
	<?php endif; ?>
	<div class="content">
	<div id="main" class="grid w640 row">