<?php

add_action( 'admin_init', 'theme_options_init' );
add_action( 'admin_menu', 'theme_options_add_page' );

function theme_options_init(){
	register_setting( 'siempel_options', 'siempel_theme_options', 'theme_options_validate' );
}

function theme_options_add_page() {
	add_theme_page( 'Siempel Themes Options', 'Themes Options', 'edit_theme_options', 'theme-options', 'theme_options_do_page' );
}

function theme_options_do_page() {

	if ( ! isset( $_REQUEST['settings-updated'] ) )
		$_REQUEST['settings-updated'] = false;

	?>
	<div class="wrap">
		<?php screen_icon(); echo "<h2>Siempel Themes Options</h2>"; ?>

		<?php if ( false !== $_REQUEST['settings-updated'] ) : ?>
		<div class="updated"><p><strong>Options Saved!</strong></p></div>
		<?php endif; ?>

		<form method="post" action="options.php">
			<?php settings_fields( 'siempel_options' ); ?>
			<?php $options = get_option( 'siempel_theme_options' ); ?>

			<table class="form-table">
			
				<tr valign="top"><th scope="row">Your Photo URL</th>
					<td>
						<input id="siempel_theme_options[foto]" class="regular-text" type="text" name="siempel_theme_options[foto]" value="<?php echo esc_textarea( $options['foto'] ); ?>">
						<p class="description" for="siempel_theme_options[foto]">You can upload your photos via the Media menu, then copy the photo url. Paste here!</p>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row">Your Full Name</th>
					<td>
						<input id="siempel_theme_options[namalengkap]" class="regular-text" type="text" name="siempel_theme_options[namalengkap]" value="<?php echo esc_textarea( $options['namalengkap'] ); ?>">
						<p class="description" for="siempel_theme_options[namalengkap]">Type here your full name.</p>
					</td>
				</tr>

				<tr valign="top"><th scope="row">About Me</th>
					<td>
						<textarea id="siempel_theme_options[tentang]" class="large-text" cols="50" rows="10" name="siempel_theme_options[tentang]"><?php echo esc_textarea( $options['tentang'] ); ?></textarea>
						<p class="description" for="siempel_theme_options[tentang]">Type what do you think about yourself.</p>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row">Show Social Media</th>
				    <td>
				        <input type="checkbox" id="author_credits" name="siempel_theme_options[socialmedia]" value="1" <?php checked( true, $options['socialmedia'] ); ?> />
				        <p class="description" for="siempel_theme_options[socialmedia]">Show your social media? If you want to show, after you update setting, you can setting for your social media.</p>
				    </td>
				</tr>
				
                <?php if( $options['socialmedia'] ) : ?>
				<tr valign="top"><th scope="row">Facebook</th>
					<td>
						<input id="siempel_theme_options[facebook]" class="regular-text" type="text" name="siempel_theme_options[facebook]" value="<?php echo esc_textarea( $options['facebook'] ); ?>">
						<p class="description" for="siempel_theme_options[facebook]">Your facebook profile URL, for example http://www.facebook.com/dhmskrn</p>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row">Twitter</th>
					<td>
						<input id="siempel_theme_options[twitter]" class="regular-text" type="text" name="siempel_theme_options[twitter]" value="<?php echo esc_textarea( $options['twitter'] ); ?>">
						<p class="description" for="siempel_theme_options[twitter]">Your twitter profile URL, for example http://twitter.com/dhmskrn</p>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row">Email</th>
					<td>
						<input id="siempel_theme_options[email]" class="regular-text" type="text" name="siempel_theme_options[email]" value="<?php echo esc_textarea( $options['email'] ); ?>">
						<p class="description" for="siempel_theme_options[email]">Your valid email, for example yourmail@example.com</p>
					</td>
				</tr>
                <?php endif; ?>
				
				<tr valign="top"><th scope="row">Custom CSS</th>
					<td>
						<textarea id="siempel_theme_options[css]" class="large-text" cols="50" rows="10" name="siempel_theme_options[css]"><?php echo esc_textarea( $options['css'] ); ?></textarea>
						<p class="description" for="siempel_theme_options[css]">You can insert custom css here.</p>
					</td>
				</tr>
				
			</table>

			<p class="submit">
				<input type="submit" class="button-primary" value="Save Options" />
			</p>
		</form>
	</div>
	<?php
}

/**
 * Sanitize and validate input. Accepts an array, return a sanitized array.
 */
function theme_options_validate( $input ) {
	$input['foto'] = wp_filter_post_kses( $input['foto'] );
	$input['namalengkap'] = wp_filter_post_kses( $input['namalengkap'] );
	$input['tentang'] = wp_filter_post_kses( $input['tentang'] );
	$input['facebook'] = wp_filter_post_kses( $input['facebook'] );
	$input['twitter'] = wp_filter_post_kses( $input['twitter'] );
	$input['email'] = wp_filter_post_kses( $input['email'] );
	$input['css'] = wp_filter_post_kses( $input['css'] );
    //Social Media Show?
    if ( ! isset( $input['socialmedia'] ) )
    $input['socialmedia'] = null;
    $input['socialmedia'] = ( $input['socialmedia'] == 1 ? 1 : 0 );
	
	return $input;
}